[arch-commits] Commit in stack/repos (4 files)

Felix Yan felixonmars at archlinux.org
Tue Dec 19 05:44:40 UTC 2017


    Date: Tuesday, December 19, 2017 @ 05:44:39
  Author: felixonmars
Revision: 274854

archrelease: copy trunk to community-staging-x86_64

Added:
  stack/repos/community-staging-x86_64/
  stack/repos/community-staging-x86_64/PKGBUILD
    (from rev 274853, stack/trunk/PKGBUILD)
  stack/repos/community-staging-x86_64/smallcheck-1.1.3.patch
    (from rev 274853, stack/trunk/smallcheck-1.1.3.patch)
  stack/repos/community-staging-x86_64/stack.install
    (from rev 274853, stack/trunk/stack.install)

------------------------+
 PKGBUILD               |   79 +++++++++++++++++++++++++++++++++++++++++++++++
 smallcheck-1.1.3.patch |   24 ++++++++++++++
 stack.install          |    4 ++
 3 files changed, 107 insertions(+)

Copied: stack/repos/community-staging-x86_64/PKGBUILD (from rev 274853, stack/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2017-12-19 05:44:39 UTC (rev 274854)
@@ -0,0 +1,79 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=stack
+pkgver=1.6.1
+pkgrel=13
+pkgdesc="The Haskell Tool Stack"
+url="https://github.com/commercialhaskell/stack"
+license=("custom:BSD3")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-annotated-wl-pprint' 'haskell-ansi-terminal'
+         'haskell-async' 'haskell-attoparsec' 'haskell-base64-bytestring' 'haskell-bindings-uname'
+         'haskell-blaze-builder' 'haskell-clock' 'haskell-conduit' 'haskell-conduit-extra'
+         'haskell-cryptonite' 'haskell-cryptonite-conduit' 'haskell-echo' 'haskell-exceptions'
+         'haskell-extra' 'haskell-fast-logger' 'haskell-file-embed' 'haskell-filelock'
+         'haskell-fsnotify' 'haskell-generic-deriving' 'haskell-gitrev' 'haskell-hackage-security'
+         'haskell-hashable' 'haskell-hastache' 'haskell-hpack' 'haskell-http-client'
+         'haskell-http-client-tls' 'haskell-http-conduit' 'haskell-http-types' 'haskell-memory'
+         'haskell-microlens' 'haskell-microlens-mtl' 'haskell-mintty' 'haskell-monad-logger'
+         'haskell-mono-traversable' 'haskell-mtl' 'haskell-neat-interpolation' 'haskell-network-uri'
+         'haskell-open-browser' 'haskell-optparse-applicative' 'haskell-optparse-simple'
+         'haskell-path' 'haskell-path-io' 'haskell-persistent' 'haskell-persistent-sqlite'
+         'haskell-persistent-template' 'haskell-pid1' 'haskell-primitive' 'haskell-project-template'
+         'haskell-regex-applicative-text' 'haskell-resourcet' 'haskell-retry' 'haskell-semigroups'
+         'haskell-split' 'haskell-stm' 'haskell-store' 'haskell-store-core'
+         'haskell-streaming-commons' 'haskell-tar' 'haskell-temporary' 'haskell-text'
+         'haskell-text-metrics' 'haskell-th-reify-many' 'haskell-tls' 'haskell-unicode-transforms'
+         'haskell-unix-compat' 'haskell-unliftio' 'haskell-unordered-containers' 'haskell-vector'
+         'haskell-yaml' 'haskell-zip-archive' 'haskell-zlib')
+makedepends=('ghc' 'haskell-quickcheck' 'haskell-hspec' 'haskell-smallcheck')
+checkdepends=('cabal-install')
+conflicts=('haskell-stack')
+replaces=('haskell-stack')
+install="stack.install"
+source=("$pkgname-$pkgver.tar.gz::https://github.com/commercialhaskell/stack/archive/v$pkgver.tar.gz"
+        smallcheck-1.1.3.patch)
+sha512sums=('b798945388f533768d0a14961b0b5fceb0bb3d24b4995fc6e86f9ee3d182782b7930edb6a61c028ae62b7ea72b61937396474813f83c5ae796353dcf9e6f36d7'
+            '63f15a0644ebab8e91aca67ab825bc4fb126cced17554d81fa291e794c016205596f6612a9831bde83f74b485925bfab80aa4275fca3960680dd14d2f7a3e40b')
+
+prepare() {
+  cd $pkgname-$pkgver
+  patch -p1 -i ../smallcheck-1.1.3.patch
+
+  hpack
+}
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+    --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
+    --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+      -f-disable-git-info -fintegration-tests -f-static -f-hide-dependency-versions -f-supported-build
+  runhaskell Setup build
+  runhaskell Setup register --gen-script
+  runhaskell Setup unregister --gen-script
+  sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+  sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+  cd $pkgname-$pkgver
+  cabal update
+  LD_LIBRARY_PATH="$PWD"/dist/build PATH="$PWD"/dist/build/stack:"$PATH" runhaskell Setup test || warning "Expected 4 failures on Arch currently"
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+  install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+  runhaskell Setup copy --destdir="${pkgdir}"
+  install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+  rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+
+  LD_PRELOAD=$(ls "$pkgdir"/usr/lib/libHSstack-*-ghc*.so) "${pkgdir}"/usr/bin/stack --bash-completion-script /usr/bin/stack > stack_completion_script
+  install -Dm644 stack_completion_script "${pkgdir}/usr/share/bash-completion/completions/stack"
+}

Copied: stack/repos/community-staging-x86_64/smallcheck-1.1.3.patch (from rev 274853, stack/trunk/smallcheck-1.1.3.patch)
===================================================================
--- community-staging-x86_64/smallcheck-1.1.3.patch	                        (rev 0)
+++ community-staging-x86_64/smallcheck-1.1.3.patch	2017-12-19 05:44:39 UTC (rev 274854)
@@ -0,0 +1,24 @@
+diff --git a/src/test/Stack/StoreSpec.hs b/src/test/Stack/StoreSpec.hs
+index 72534b44..27413e0d 100644
+--- a/src/test/Stack/StoreSpec.hs
++++ b/src/test/Stack/StoreSpec.hs
+@@ -6,6 +6,7 @@
+ {-# LANGUAGE TemplateHaskell #-}
+ {-# LANGUAGE ScopedTypeVariables #-}
+ {-# LANGUAGE OverloadedStrings #-}
++{-# LANGUAGE CPP #-}
+ module Stack.StoreSpec where
+ 
+ import qualified Data.ByteString as BS
+@@ -51,7 +52,11 @@ addMinAndMaxBounds xs =
+     (if (minBound :: a) `notElem` xs then [minBound] else []) ++
+     (if (maxBound :: a) `notElem` xs && (maxBound :: a) /= minBound then maxBound : xs else xs)
+ 
++#if MIN_VERSION_smallcheck(1,1,3)
++$(do let ns = [ ''Int64, ''Word64, ''Word8
++#else
+ $(do let ns = [ ''Int64, ''Word64, ''Word, ''Word8
++#endif
+               ]
+          f n = [d| instance Monad m => Serial m $(conT n) where
+                       series = generate (\_ -> addMinAndMaxBounds [0, 1]) |]

Copied: stack/repos/community-staging-x86_64/stack.install (from rev 274853, stack/trunk/stack.install)
===================================================================
--- community-staging-x86_64/stack.install	                        (rev 0)
+++ community-staging-x86_64/stack.install	2017-12-19 05:44:39 UTC (rev 274854)
@@ -0,0 +1,4 @@
+post_install() {
+  echo "You need to either 1) install latest stable ghc package from [extra] or 2) install ncurses5-compat-libs from AUR for the prebuilt binaries installed by stack to work."
+}
+



More information about the arch-commits mailing list